# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Single Use Account Pool Maintenance Service
The Proxy web service is used for managing a pool of Single-Use Accounts (SUAs) linked to a proxy. With this web service, you can create proxy pool(s) for a buyer, update details of the proxy, delete unused pools and get details about an existing pool(e.g. number of available accounts).

### [POST] /vpa/v1/proxy/GetProxyPool
**Get Proxy Pool**

The Get operation allows the consumer to get the details of a proxy.

#### Request Body

Get Proxy Pool Request

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"proxyAccountNumber"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Refer to the <a href="/pages/B2B-virtual-account-payment-method-error-codes#get_proxy_pool">Error Codes</a> page for the list of error codes for this API. | **application/json**: { **"GetProxyPoolResponse"**: { **"errors"**: [ { **"code"**: string, **"description"**: string } ], **"messageId"**: string, **"proxyList"**: { **"usedCards"**: string, **"totalCards"**: string, **"creditLimit"**: string, **"deletedCards"**: string, **"reOrderCount"**: string, **"proxyPoolType"**: string, <br>**Available values:** "1", "2", **"availableCards"**: string, **"proxyAccountType"**: string, <br>**Available values:** "1", "2", **"initialOrderCount"**: string, **"authControlEnabled"**: boolean, **"proxyAccountNumber"**: string, **"fundingAccountNumber"**: string, **"minAvailableAccounts"**: string }, **"statusCode"**: string, **"statusDesc"**: string } }<br> |
